Package org.apache.sysds.api.mlcontext

# Enum Class MLContext.ExplainLevel

java.lang.Object
java.lang.Enum<MLContext.ExplainLevel>
org.apache.sysds.api.mlcontext.MLContext.ExplainLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<MLContext.ExplainLevel>`, `Constable`

Enclosing class:
  MLContext

public static enum MLContext.ExplainLevel extends Enum<MLContext.ExplainLevel>
The different explain levels supported by SystemDS.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HOPS`
Explain program and HOPs
`NONE`
Explain disabled
`RECOMPILE_HOPS`
Explain HOPs, including recompile
`RECOMPILE_RUNTIME`
Explain runtime program, including recompile
`RUNTIME`
Explain runtime program

## Method Summary

Modifier and Type
Method
Description
`Explain.ExplainType`
`getExplainType()`
`static MLContext.ExplainLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MLContext.ExplainLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final MLContext.ExplainLevel NONE
Explain disabled

### HOPS

public static final MLContext.ExplainLevel HOPS
Explain program and HOPs

### RUNTIME

public static final MLContext.ExplainLevel RUNTIME
Explain runtime program

### RECOMPILE_HOPS

public static final MLContext.ExplainLevel RECOMPILE_HOPS
Explain HOPs, including recompile

### RECOMPILE_RUNTIME

public static final MLContext.ExplainLevel RECOMPILE_RUNTIME
Explain runtime program, including recompile

## Method Details

### values

public static MLContext.ExplainLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MLContext.ExplainLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getExplainType

public Explain.ExplainType getExplainType()